* CORRECT.CMD
STORE F TO DONE
store " " to mch
DO WHILE .NOT. DONE
   @ 20,0 say "Type <N>ame, <T>est, <A>ssignment, <P>roject, <R>ecalculate"
   @ 21,0 SAY "                                                               "
   @ 21,0 SAY "     (G)et another student, Scroll <F>orward, <B>ack or Q(uit)."
   @ 22,0 say "               Your Choice ---> "
   set console off
   wait to mch
   set console on
   store !(mch) to mch
   @ 20,0 SAY "                                                               "
   @ 21,0 SAY "                                                               "
   @ 22,0 SAY "                                                               "
   store t to mnoask
   DO CASE

        CASE !(MCH) = "N"
            STORE "                         " TO MNAME
            @ 20,0 SAY "NAME(last, first) " GET MNAME;
                PICT "!!!!!!!!!!!!!!!!!!!!!!!!!"
            READ
            IF .NOT. ", "  $MNAME
                @ 22,0 SAY "INVALID ENTRY:  ENTER LAST NAME, FIRST NAME!"
                LOOP
            ELSE
               @ 22,0 SAY "                                              "
               REPLACE NAME WITH MNAME
               @  1,20 SAY NAME
            ENDIF

        STORE F TO MASK
        CASE !(MCH) = "T"
            STORE "  " TO MSVAR
            @ 21,0 SAY "WHICH TEST? " GET MSVAR
            READ
               IF VAL(MSVAR) > 5 .or. VAL(MSVAR) < 1
                  @ 22,10 SAY "NO SUCH TEST"
                  RELEASE MSVAR
                  LOOP
               ENDIF
            STORE VAL(MSVAR) TO MVAR
            STORE "      " TO MGRADE
            @ 20,0 SAY "TYPE IN NEW GRADE --> " GET MGRADE
            READ
            IF MVAR = 1
              REPLACE TEST01 WITH VAL(MGRADE)
              @  3,50 SAY TEST01
            ELSE
              IF MVAR = 2
                REPLACE TEST02 WITH VAL(MGRADE)
                @ 4,50 SAY TEST02
              ELSE
                IF MVAR = 3
                  REPLACE TEST03 WITH VAL(MGRADE)
                  @ 5,50 SAY TEST03
                ELSE
                  IF MVAR = 4
                    REPLACE TEST04 WITH VAL(MGRADE)
                    @ 6,50 SAY TEST04
                  ELSE
                    IF MVAR = 5
                      REPLACE TEST05 WITH VAL(MGRADE)
                      @ 7,50 SAY TEST05
                    ENDIF  5
                  ENDIF  4
                ENDIF  3
              ENDIF  2
            ENDIF  1

        CASE !(MCH) = "P"
            STORE "  " TO MSVAR
            @ 21,0 SAY "WHICH PROJECT? " GET MSVAR
            READ
            IF VAL(MSVAR) > 5 .or. VAL(MSVAR) < 1
                @ 21,0 SAY "                                     "
                @ 22,10 SAY "NO SUCH PROJECT!"
                RELEASE MSVAR
                LOOP
            ENDIF
            STORE VAL(MSVAR) TO MVAR
            STORE "      " TO MGRADE
            @ 20,0 SAY "TYPE IN NEW GRADE --> " GET MGRADE
            READ
            STORE "PROJ0"+STR(MVAR,1) TO PROJECT
            REPLACE &PROJECT WITH VAL(MGRADE)
            @ 8+VAL(MSVAR),50 SAY &PROJECT

        CASE !(MCH) = "A"
            STORE "   " TO MAVAR
            @ 21,0 SAY "WHICH ASSIGNMENT? " GET MAVAR
            READ
            IF VAL(MAVAR) > 15 .or. VAL(MAVAR) < 1
                @ 21,0 SAY "                               "
                @ 22,10 SAY "NO SUCH ASSIGNMENT! "
                RELEASE MAVAR
                LOOP
            ENDIF
            STORE VAL(MAVAR) TO MVAR
            STORE "      " TO MGRADE
            @ 20,0 SAY "TYPE IN NEW GRADE --> " GET MGRADE
            READ
            IF MVAR = 1
                REPLACE ASN01 WITH VAL(MGRADE)
                @  3,14 SAY ASN01
            ENDIF
            IF MVAR = 2
                REPLACE ASN02 WITH VAL(MGRADE)
                @  4,14 SAY ASN02
            ENDIF
            IF MVAR = 3
                REPLACE ASN03 WITH VAL(MGRADE)
                @  5,14 SAY ASN03
            ENDIF
            IF MVAR = 4
                REPLACE ASN04 WITH VAL(MGRADE)
                @  6,14 SAY ASN04
            ENDIF
            IF MVAR = 5
                REPLACE ASN05 WITH VAL(MGRADE)
                @  7,14 SAY ASN05
            ENDIF
            IF MVAR = 6
                REPLACE ASN06 WITH VAL(MGRADE)
                @  8,14 SAY ASN06
            ENDIF
            IF MVAR = 7
                REPLACE ASN07 WITH VAL(MGRADE)
                @  9,14 SAY ASN07
            ENDIF
            IF MVAR = 8
                REPLACE ASN08 WITH VAL(MGRADE)
                @ 10,14 SAY ASN08
            ENDIF
            IF MVAR = 9
                REPLACE ASN09 WITH VAL(MGRADE)
                @ 11,14 SAY ASN09
            ENDIF
            IF MVAR = 10
                REPLACE ASN10 WITH VAL(MGRADE)
                @ 12,14 SAY ASN10
            ENDIF
            IF MVAR = 11
                REPLACE ASN11 WITH VAL(MGRADE)
                @ 13,14 SAY ASN11
            ENDIF
            IF MVAR = 12
                REPLACE ASN12 WITH VAL(MGRADE)
                @ 14,14 SAY ASN12
            ENDIF
            IF MVAR = 13
                REPLACE ASN13 WITH VAL(MGRADE)
                @ 15,14 SAY ASN13
            ENDIF
            IF MVAR = 14
                REPLACE ASN14 WITH VAL(MGRADE)
                @ 16,14 SAY ASN14
            ENDIF
            IF MVAR = 15
                REPLACE ASN15 WITH VAL(MGRADE)
                @ 17,14 SAY ASN15
            ENDIF

      CASE !(MCH) = "R"
            STORE T TO DONE
            STORE F TO MNOASK

      CASE !(MCH) = "Q"
            STORE T TO DONE
            STORE F to MASK
           STORE F TO yes
            STORE T TO FOUND

      CASE !(MCH) = "G"
          STORE T TO DONE
          STORE F TO MASK
          STORE F TO myes

      case !(mch) = "F"
          store t to done
          skip

      case !(mch) = "B"
          store t to done
          skip -1


        OTHERWISE
          loop
    ENDCASE
ENDDO
RETURN
0 SAY TEST03
                ELSE
                  IF MVAR = 4
                    REPLACE TEST04 WITH VAL(MGRADE)
                    @ 6,50 SAY TEST04
                  ELSE
                    IF MVAR = 5
                      REPLACE TEST05 WITH VAL(MGRADE)
                      @ 7,50 SAY TEST05
                    ENDIF  5
                  ENDIF  4
                ENDIF  3
              ENDIF  2
            ENDIF  1

        CASE !(MCH) = "P"
 